<!DOCTYPE HTML>
<html lang="en" class="sidebar-visible no-js light">
    <head>
        <!-- Book generated using mdBook -->
        <meta charset="UTF-8">
        <title>Política de Segurança - Arquitetura Mínima Viável</title>
        <!-- Custom HTML head -->
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="theme-color" content="#ffffff" />

        <link rel="icon" href="../../../favicon.svg">
        <link rel="shortcut icon" href="../../../favicon.png">
        <link rel="stylesheet" href="../../../css/variables.css">
        <link rel="stylesheet" href="../../../css/general.css">
        <link rel="stylesheet" href="../../../css/chrome.css">
        <link rel="stylesheet" href="../../../css/print.css" media="print">
        <!-- Fonts -->
        <link rel="stylesheet" href="../../../FontAwesome/css/font-awesome.css">
        <link rel="stylesheet" href="../../../fonts/fonts.css">
        <!-- Highlight.js Stylesheets -->
        <link rel="stylesheet" href="../../../highlight.css">
        <link rel="stylesheet" href="../../../tomorrow-night.css">
        <link rel="stylesheet" href="../../../ayu-highlight.css">

        <!-- Custom theme stylesheets -->
    </head>
    <body>
        <!-- Provide site root to javascript -->
        <script type="text/javascript">
            var path_to_root = "../../../";
            var default_theme = window.matchMedia("(prefers-color-scheme: dark)").matches ? "navy" : "light";
        </script>

        <!-- Work around some values being stored in localStorage wrapped in quotes -->
        <script type="text/javascript">
            try {
                var theme = localStorage.getItem('mdbook-theme');
                var sidebar = localStorage.getItem('mdbook-sidebar');

                if (theme.startsWith('"') && theme.endsWith('"')) {
                    localStorage.setItem('mdbook-theme', theme.slice(1, theme.length - 1));
                }

                if (sidebar.startsWith('"') && sidebar.endsWith('"')) {
                    localStorage.setItem('mdbook-sidebar', sidebar.slice(1, sidebar.length - 1));
                }
            } catch (e) { }
        </script>

        <!-- Set the theme before any content is loaded, prevents flash -->
        <script type="text/javascript">
            var theme;
            try { theme = localStorage.getItem('mdbook-theme'); } catch(e) { }
            if (theme === null || theme === undefined) { theme = default_theme; }
            var html = document.querySelector('html');
            html.classList.remove('no-js')
            html.classList.remove('light')
            html.classList.add(theme);
            html.classList.add('js');
        </script>

        <!-- Hide / unhide sidebar before it is displayed -->
        <script type="text/javascript">
            var html = document.querySelector('html');
            var sidebar = 'hidden';
            if (document.body.clientWidth >= 1080) {
                try { sidebar = localStorage.getItem('mdbook-sidebar'); } catch(e) { }
                sidebar = sidebar || 'visible';
            }
            html.classList.remove('sidebar-visible');
            html.classList.add("sidebar-" + sidebar);
        </script>

        <nav id="sidebar" class="sidebar" aria-label="Table of contents">
            <div class="sidebar-scrollbox">
                <ol class="chapter"><li class="chapter-item expanded "><a href="../../../intro.html"><strong aria-hidden="true">1.</strong> Introdução</a></li><li class="chapter-item expanded "><a href="../../../togaf.html"><strong aria-hidden="true">2.</strong> ToGAF O-AAF</a></li><li class="chapter-item expanded "><a href="../../../objetivo.html"><strong aria-hidden="true">3.</strong> Objetivo</a></li><li class="chapter-item expanded "><a href="../../../proposta.html"><strong aria-hidden="true">4.</strong> Proposta Técnica</a></li><li class="chapter-item expanded "><a href="../../../entrevistas.html"><strong aria-hidden="true">5.</strong> Entrevista</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../entrevista/arqsis.html"><strong aria-hidden="true">5.1.</strong> Arquitetura de Sistemas</a></li><li class="chapter-item expanded "><a href="../../../entrevista/seg.html"><strong aria-hidden="true">5.2.</strong> Segurança</a></li><li class="chapter-item expanded "><a href="../../../entrevista/infra.html"><strong aria-hidden="true">5.3.</strong> Infraestrutura</a></li><li class="chapter-item expanded "><a href="../../../entrevista/db.html"><strong aria-hidden="true">5.4.</strong> Dados</a></li><li class="chapter-item expanded "><a href="../../../entrevista/proj.html"><strong aria-hidden="true">5.5.</strong> Projetos</a></li></ol></li><li class="chapter-item expanded "><a href="../../../asis.html"><strong aria-hidden="true">6.</strong> AS-IS de Arquitetura</a></li><li class="chapter-item expanded "><a href="../../../mva.html"><strong aria-hidden="true">7.</strong> Arquitetura Mínima Viável</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../mva/mvadesign.html"><strong aria-hidden="true">7.1.</strong> Arquitetura de Design</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr001.html"><strong aria-hidden="true">7.1.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr002.html"><strong aria-hidden="true">7.1.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr003.html"><strong aria-hidden="true">7.1.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr004.html"><strong aria-hidden="true">7.1.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr005.html"><strong aria-hidden="true">7.1.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr006.html"><strong aria-hidden="true">7.1.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr007.html"><strong aria-hidden="true">7.1.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr008.html"><strong aria-hidden="true">7.1.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="../../../mva/ad/adrs/adr009.html"><strong aria-hidden="true">7.1.9.</strong> ADR-009</a></li></ol></li><li class="chapter-item expanded "><a href="../../../mva/mvasol.html"><strong aria-hidden="true">7.2.</strong> Arquitetura de Solucao</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr001.html"><strong aria-hidden="true">7.2.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr002.html"><strong aria-hidden="true">7.2.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr003.html"><strong aria-hidden="true">7.2.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr004.html"><strong aria-hidden="true">7.2.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr005.html"><strong aria-hidden="true">7.2.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr006.html"><strong aria-hidden="true">7.2.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr007.html"><strong aria-hidden="true">7.2.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr008.html"><strong aria-hidden="true">7.2.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr009.html"><strong aria-hidden="true">7.2.9.</strong> ADR-009</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr010.html"><strong aria-hidden="true">7.2.10.</strong> ADR-010</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr011.html"><strong aria-hidden="true">7.2.11.</strong> ADR-011</a></li><li class="chapter-item expanded "><a href="../../../mva/as/adrs/adr012.html"><strong aria-hidden="true">7.2.12.</strong> ADR-012</a></li></ol></li></ol></li><li class="chapter-item expanded "><a href="../../../gov/intro.html"><strong aria-hidden="true">8.</strong> Governança de Arquitetura</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase1.html"><strong aria-hidden="true">8.1.</strong> MGM Microservices Governance Maturity</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-001.html"><strong aria-hidden="true">8.1.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-002.html"><strong aria-hidden="true">8.1.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-003.html"><strong aria-hidden="true">8.1.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-004.html"><strong aria-hidden="true">8.1.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-005.html"><strong aria-hidden="true">8.1.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-006.html"><strong aria-hidden="true">8.1.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-007.html"><strong aria-hidden="true">8.1.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-008.html"><strong aria-hidden="true">8.1.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-009.html"><strong aria-hidden="true">8.1.9.</strong> ADR-009</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-010.html"><strong aria-hidden="true">8.1.10.</strong> ADR-010</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-011.html"><strong aria-hidden="true">8.1.11.</strong> ADR-011</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-012.html"><strong aria-hidden="true">8.1.12.</strong> ADR-012</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-013.html"><strong aria-hidden="true">8.1.13.</strong> ADR-013</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-014.html"><strong aria-hidden="true">8.1.14.</strong> ADR-014</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-015.html"><strong aria-hidden="true">8.1.15.</strong> ADR-015</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-016.html"><strong aria-hidden="true">8.1.16.</strong> ADR-016</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-017.html"><strong aria-hidden="true">8.1.17.</strong> ADR-017</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-018.html"><strong aria-hidden="true">8.1.18.</strong> ADR-018</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-019.html"><strong aria-hidden="true">8.1.19.</strong> ADR-019</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/ADR-020.html"><strong aria-hidden="true">8.1.20.</strong> ADR-020</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/Ferramental-AS-IS.html"><strong aria-hidden="true">8.1.21.</strong> Ferramental AS-IS</a></li><li class="chapter-item expanded "><a href="../../../gov/fase1/GAP-Analysis.html"><strong aria-hidden="true">8.1.22.</strong> GAP Analysis</a></li></ol></li><li class="chapter-item expanded "><a href="../../../gov/fase2.html"><strong aria-hidden="true">8.2.</strong> MGPD Microservices Governance Process Design</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase2/Introdução.html"><strong aria-hidden="true">8.2.1.</strong> Introdução</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Ferramentas.html"><strong aria-hidden="true">8.2.2.</strong> Ferramentas</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Planejamento.html"><strong aria-hidden="true">8.2.3.</strong> Governança de Planejamento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Planejamento/Política-de-Infraestrutura.html"><strong aria-hidden="true">8.2.3.1.</strong> Política de Infraestrutura</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Planejamento/Política-de-Arquitetura.html"><strong aria-hidden="true">8.2.3.2.</strong> Política de Arquitetura</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Planejamento/Política-de-Segurança.html" class="active"><strong aria-hidden="true">8.2.3.3.</strong> Política de Segurança</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Planejamento/Política-de-APIs.html"><strong aria-hidden="true">8.2.3.4.</strong> Política de APIs</a></li></ol></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Desenvolvimento.html"><strong aria-hidden="true">8.2.4.</strong> Governança de Desenvolvimento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Desenvolvimento.html"><strong aria-hidden="true">8.2.4.1.</strong> Política de Desenvolvimento</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Qualidade-e-Métricas.html"><strong aria-hidden="true">8.2.4.2.</strong> Política de Qualidade e Métricas</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Testes.html"><strong aria-hidden="true">8.2.4.3.</strong> Política de Testes</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Construção.html"><strong aria-hidden="true">8.2.4.4.</strong> Política de Construção</a></li></ol></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Operação.html"><strong aria-hidden="true">8.2.5.</strong> Governança de Operação</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Operação/Política-de-Operação.html"><strong aria-hidden="true">8.2.5.1.</strong> Política de Operação</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Operação/Política-de-Versionamento.html"><strong aria-hidden="true">8.2.5.2.</strong> Política de Versionamento</a></li></ol></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Compartilhamento.html"><strong aria-hidden="true">8.2.6.</strong> Governança de Compartilhamento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase2/Governança-de-Compartilhamento/Política-de-Monitoramento-e-Métricas-de-APIs.html"><strong aria-hidden="true">8.2.6.1.</strong> Política de Monitoramento e Métricas de APIs</a></li></ol></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Modelos-de-Documentação.html"><strong aria-hidden="true">8.2.7.</strong> Modelos de Documentação</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../../gov/fase2/Modelos-de-Documentação/1.-Documento-de-Contrato-de-Microserviço.html"><strong aria-hidden="true">8.2.7.1.</strong> 1 Documento de Contrato de Microserviço</a></li><li class="chapter-item expanded "><a href="../../../gov/fase2/Modelos-de-Documentação/2.-Checklist-de-aprovação-para-implantação.html"><strong aria-hidden="true">8.2.7.2.</strong> 2 Checklist de Aprovação para Implantação</a></li></ol></li></ol></li></ol></li></ol>
            </div>
            <div id="sidebar-resize-handle" class="sidebar-resize-handle"></div>
        </nav>

        <div id="page-wrapper" class="page-wrapper">

            <div class="page">
                <div id="menu-bar-hover-placeholder"></div>
                <div id="menu-bar" class="menu-bar sticky bordered">
                    <div class="left-buttons">
                        <button id="sidebar-toggle" class="icon-button" type="button" title="Toggle Table of Contents" aria-label="Toggle Table of Contents" aria-controls="sidebar">
                            <i class="fa fa-bars"></i>
                        </button>
                        <button id="theme-toggle" class="icon-button" type="button" title="Change theme" aria-label="Change theme" aria-haspopup="true" aria-expanded="false" aria-controls="theme-list">
                            <i class="fa fa-paint-brush"></i>
                        </button>
                        <ul id="theme-list" class="theme-popup" aria-label="Themes" role="menu">
                            <li role="none"><button role="menuitem" class="theme" id="light">Light (default)</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="rust">Rust</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="coal">Coal</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="navy">Navy</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="ayu">Ayu</button></li>
                        </ul>
                        <button id="search-toggle" class="icon-button" type="button" title="Search. (Shortkey: s)" aria-label="Toggle Searchbar" aria-expanded="false" aria-keyshortcuts="S" aria-controls="searchbar">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>

                    <h1 class="menu-title">Arquitetura Mínima Viável</h1>

                    <div class="right-buttons">
                        <a href="../../../print.html" title="Print this book" aria-label="Print this book">
                            <i id="print-button" class="fa fa-print"></i>
                        </a>
                    </div>
                </div>

                <div id="search-wrapper" class="hidden">
                    <form id="searchbar-outer" class="searchbar-outer">
                        <input type="search" id="searchbar" name="searchbar" placeholder="Search this book ..." aria-controls="searchresults-outer" aria-describedby="searchresults-header">
                    </form>
                    <div id="searchresults-outer" class="searchresults-outer hidden">
                        <div id="searchresults-header" class="searchresults-header"></div>
                        <ul id="searchresults">
                        </ul>
                    </div>
                </div>
                <!-- Apply ARIA attributes after the sidebar and the sidebar toggle button are added to the DOM -->
                <script type="text/javascript">
                    document.getElementById('sidebar-toggle').setAttribute('aria-expanded', sidebar === 'visible');
                    document.getElementById('sidebar').setAttribute('aria-hidden', sidebar !== 'visible');
                    Array.from(document.querySelectorAll('#sidebar a')).forEach(function(link) {
                        link.setAttribute('tabIndex', sidebar === 'visible' ? 0 : -1);
                    });
                </script>

                <div id="content" class="content">
                    <main>
                        <p><img src="../../../img/logo-valecard.png" alt="Screenshot" /></p>
<h1 id="política-de-segurança"><a class="header" href="#política-de-segurança">Política de Segurança</a></h1>
<h2 id="introdução"><a class="header" href="#introdução">Introdução</a></h2>
<h3 id="objetivo"><a class="header" href="#objetivo">Objetivo</a></h3>
<p>Este documento define as diretrizes relacionadas à Segurança de Software.</p>
<h3 id="por-quê-deste-documento"><a class="header" href="#por-quê-deste-documento">Por quê deste documento?</a></h3>
<p>Entregar software que funciona de modo apropriado, por vezes, não é suficiente. É necessário que um conjunto de itens de segurança estejam cobertos, para evitar a exposição de vulnerabilidade que podem ser explorados por pessoas não bem intencionadas. </p>
<h3 id="para-quem-se-destina-este-documento"><a class="header" href="#para-quem-se-destina-este-documento">Para quem se destina este documento?</a></h3>
<ul>
<li>Product Owners;</li>
<li>Engenheiro de softwares;</li>
<li>Arquitetos de soluções;</li>
<li>Desenvolvedores de softwares;</li>
<li>Analistas de testes.</li>
</ul>
<hr />
<h2 id="políticas"><a class="header" href="#políticas">Políticas</a></h2>
<p>Este documento norteia as seguintes características que precisam ser adicionados ao software no quesito de segurança:</p>
<h3 id="quanto-à-verificação-do-código"><a class="header" href="#quanto-à-verificação-do-código">Quanto à verificação do código</a></h3>
<p>Este documento determina a inclusão da etapa de <strong><em>SAST</em></strong> (<em>Static Application Security Testing</em>) dentro do pipeline de Integração Contínua, com objetivo de identificar falhas de seguranças no código-fonte dos softwares desenvolvidos e mantidos internamente na organização.</p>
<h3 id="quanto-à-aplicação-de-políticas-globais"><a class="header" href="#quanto-à-aplicação-de-políticas-globais">Quanto à aplicação de políticas globais</a></h3>
<p>Com objetivo de facilitar a imposição de políticas globais de segurança, este documento determina a utilização de um <strong><em>API Gateway</em></strong> que permite verificações nas chamadas antes do reencaminhamento para o destino.</p>
<p>Assim, não é necessário que os servidores de APIs tenham que implementar a segurança do seu lado, permitindo-os focar apenas nos aspectos de regras de negócio.</p>
<h3 id="quanto-à-autenticação-e-autorização"><a class="header" href="#quanto-à-autenticação-e-autorização">Quanto à autenticação e autorização</a></h3>
<p>Este documento determina a utilização do protocolo <strong><em>oAuth2</em></strong> para autenticação e autorização para comunicação de APIs, tanto no contexto de aplicações, usuários ou dispositivos. </p>
<p>Para a base de usuários, o protocolo permitido é <strong><em>LDAP</em></strong> (<em>Lightweight Directory Access Protocol</em>).</p>
<p>Um dos agentes essenciais do oAuth2 é o <strong><em>Identidy Provider</em></strong>. Neste serviço são encontrados as credenciais de aplicações e usuários, ou o seu correto apontamento. </p>
<p>Este documento determina a utilização de um software para gestão de aplicações e usuários. Importante que, nas escolha da ferramenta, possa haver possibilidade de utilizar o <strong><em>SSO</em></strong> (<em>Single Sign-on</em>) e <strong><em>Login Social</em></strong> (utilizando redes sociais).</p>
<h3 id="quanto-à-gerenciamento-de-acesso"><a class="header" href="#quanto-à-gerenciamento-de-acesso">Quanto à gerenciamento de acesso</a></h3>
<p>Para evitar acesso indevido entre microserviços, determinamos neste documento a instalação de um software atuando como <strong><em>Service Mesh</em></strong>. Assim, todo acesso ao microserviço está documentado e monitorado, evitando que haja acesso indevido entre os módulos. </p>
<h3 id="quanto-à-gestão-de-segredos"><a class="header" href="#quanto-à-gestão-de-segredos">Quanto à gestão de segredos</a></h3>
<p>Dados sensíveis, como credenciais à banco de dados e APIs externas, não podem de forma alguma estar armazenados no código-fonte ou outro recurso acessível à aplicação. </p>
<p>Este documento determina a utilizando de um software atuando como <strong><em>Cofre de senhas</em></strong>, em que as credenciais ficam armazenadas no formato &quot;chave-valor&quot;. O software terá conhecimento apenas da &quot;chave&quot;, e a correta conversão é feita em momento de implantação, pelo pipeline de Implantação Contínua, de forma automatizada.</p>
<blockquote>
<p>Nota: Verificar forma de integração entre o Cofre de Senha e o ambiente, para que haja a possibilidade de mudar os valores em tempo de execução.</p>
</blockquote>
<h3 id="quanto-à-padronização-de-novos-módulos"><a class="header" href="#quanto-à-padronização-de-novos-módulos">Quanto à padronização de novos módulos</a></h3>
<p>Orientamos a implementação de mecanismo de criação automática de novos módulos utilizando templates. Este precisa estar em fina sintonia com a Arquitetura de Referência, para que o desenvolvedor não tenha que implementar os aspectos de seguranças sempre que iniciar um novo módulo.</p>

                    </main>

                    <nav class="nav-wrapper" aria-label="Page navigation">
                        <!-- Mobile navigation buttons -->
                            <a rel="prev" href="../../../gov/fase2/Governança-de-Planejamento/Política-de-Arquitetura.html" class="mobile-nav-chapters previous" title="Previous chapter" aria-label="Previous chapter" aria-keyshortcuts="Left">
                                <i class="fa fa-angle-left"></i>
                            </a>
                            <a rel="next" href="../../../gov/fase2/Governança-de-Planejamento/Política-de-APIs.html" class="mobile-nav-chapters next" title="Next chapter" aria-label="Next chapter" aria-keyshortcuts="Right">
                                <i class="fa fa-angle-right"></i>
                            </a>
                        <div style="clear: both"></div>
                    </nav>
                </div>
            </div>

            <nav class="nav-wide-wrapper" aria-label="Page navigation">
                    <a rel="prev" href="../../../gov/fase2/Governança-de-Planejamento/Política-de-Arquitetura.html" class="nav-chapters previous" title="Previous chapter" aria-label="Previous chapter" aria-keyshortcuts="Left">
                        <i class="fa fa-angle-left"></i>
                    </a>
                    <a rel="next" href="../../../gov/fase2/Governança-de-Planejamento/Política-de-APIs.html" class="nav-chapters next" title="Next chapter" aria-label="Next chapter" aria-keyshortcuts="Right">
                        <i class="fa fa-angle-right"></i>
                    </a>
            </nav>

        </div>

        <script type="text/javascript">
            window.playground_copyable = true;
        </script>
        <script src="../../../elasticlunr.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../../mark.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../../searcher.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../../clipboard.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../../highlight.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../../book.js" type="text/javascript" charset="utf-8"></script>

        <!-- Custom JS scripts -->
    </body>
</html>
